package com.example.switchyard.switchyard_quickstart_bpm_signal_demo;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.switchyard.component.test.mixins.cdi.CDIMixIn;
import org.switchyard.test.Invoker;
import org.switchyard.test.ServiceOperation;
import org.switchyard.test.SwitchYardRunner;
import org.switchyard.test.SwitchYardTestCaseConfig;

@RunWith(SwitchYardRunner.class)
@SwitchYardTestCaseConfig(mixins = CDIMixIn.class, config = SwitchYardTestCaseConfig.SWITCHYARD_XML)
public class ProcessControllerTest {

	@ServiceOperation("ProcessController")
	private Invoker service;

	@Test
	public void testStartProcess() throws Exception {
		System.out.println("**** service invoker: " + System.identityHashCode(service) + " ****");
		ProcessInfo message = new ProcessInfo();
		message.setGuid("SOMEGUID1234");
		message.setJobId("9999");
		message.setJobName("Some Job Name");
		message.setUserId("bob");
		RequestAck result = service.operation("startProcess")
				.sendInOut(message).getContent(RequestAck.class);
		System.out.println("**** testStartProcess : result : " + result);
		
		// validate the results
		//Assert.assertTrue("Implement me", false);
	}
	
	@Test
	public void testUpdateTask() throws Exception {
		System.out.println("**** service invoker: " + System.identityHashCode(service) + " ****");
		TaskInfo message = null;
//		RequestAck result = service.operation("updateTask").sendInOut(message)
//				.getContent(RequestAck.class);
//
//		// validate the results
//		Assert.assertTrue("Implement me", false);
	}

}
