/**
 * 
 */
package com.example.switchyard.switchyard_quickstart_bpm_signal_demo;

import java.util.HashMap;
import java.util.Map;

import org.kie.runtime.process.WorkItem;
import org.kie.runtime.process.WorkItemHandler;
import org.kie.runtime.process.WorkItemManager;

/**
 * @author dbarlow
 * 
 */
public class AckowledgeTaskWorkItemHandler implements WorkItemHandler {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.kie.runtime.process.WorkItemHandler#executeWorkItem(org.kie.runtime
	 * .process.WorkItem, org.kie.runtime.process.WorkItemManager)
	 */
	@Override
	public void executeWorkItem(WorkItem workItem, WorkItemManager manager) {
		System.out.println("****** AckowledgeTaskWorkItemHandler : workItem: "
				+ workItem.getId() + " " + workItem.getName()
				+ " : parameters: " + workItem.getParameters() + " : results: "
				+ workItem.getResults());
		
		Map<String, Object> results = new HashMap<String, Object>();
		RequestAck requestAck = new RequestAck();
		requestAck.setStatus(true);
		requestAck.setStatusMsg("Job is processing");
		results.put("contentOutput", requestAck);

		System.out
				.println("AckowledgeTaskWorkItemHandler : Completing Work Item");
		manager.completeWorkItem(workItem.getId(), results);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.kie.runtime.process.WorkItemHandler#abortWorkItem(org.kie.runtime
	 * .process.WorkItem, org.kie.runtime.process.WorkItemManager)
	 */
	@Override
	public void abortWorkItem(WorkItem workItem, WorkItemManager manager) {

	}

}
